#
# spec file for package xkbevd
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xkbevd
Version:        1.1.5
Release:        1.5
Summary:        XKB event daemon
License:        MIT
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  bison
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The xkbevd event daemon listens for specified XKB events and executes
requested commands if they occur. The configuration file consists of
a list of event specification/action pairs and/or variable definitions.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/xkbevd
%{_mandir}/man1/xkbevd.1%{?ext_man}

%changelog
* Sun Nov 13 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.5
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * gitlab CI: add a basic build test
  * man page: remove out-of-date COPYRIGHT section
  * gitlab CI: stop requiring Signed-off-by in commits
  * Variable scope reduction as suggested by cppcheck
  * Rename shadowed variables
  * cfgscan: check if character is EOF before calling isalpha or isdigit
  * xkbevd.c: Update default DFLT_XKB_CONFIG_ROOT path
  * eventTypeToString: remove unnecessary strcpy to static buffer
  * Add .git-blame-ignore-revs to hide whitespace commits from git blame
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.1.4:
  * This minor maintenance release cleans up the code,
    configuration, & docs.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.1.3:
  + Replace local u*alloc wrappers with direct calls to standard
    funcs.
  + Check for strdup & strcasecmp in configure before defining our
    own.
  + Build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xkbevd from xorg-x11. Initial version: 1.1.2.
